Package Details: ubuntu-tweak 0.8.7-1

Git Clone URL: https://aur.archlinux.org/ubuntu-tweak.git (read-only)
Package Base: ubuntu-tweak
Description: An easy configuration tool for system and desktop settings
Upstream URL: http://ubuntu-tweak.com/
Licenses: GPL
Submitter: chenxiaolong
Maintainer: None
Last Packager: chenxiaolong
Votes: 8
Popularity: 0.000023
First Submitted: 2012-10-21 17:03
Last Updated: 2015-06-09 02:18

Latest Comments

Redmarx commented on 2016-04-26 20:57

Hello,
problem in install ubuntu-tweak in Manjaro linux:

"Makepkg utility failed to put together a package compiz-ubuntu."

It's somehow fix?

chenxiaolong commented on 2013-04-28 22:04

Updated to version 0.8.4. Like 0.8.3, it has GTK issues though:

GtkBox child GtkTreeView minimum width: -1 < 0 for height 362

Anonymous comment on 2013-03-29 04:40

ImportError: libprotobuf.so.7 - after launch

ryanvade commented on 2013-03-01 00:56

Same issue. I tried adding:
from gi.repository import Gtk
Gtk.require_version('2.0')

But now I get this:
Traceback (most recent call last):
File "/usr/bin/ubuntu-tweak", line 30, in <module>
Gtk.require_version('2.0')
File "/usr/lib/python2.7/site-packages/gi/module.py", line 269, in __getattr__
return getattr(self._introspection_module, name)
File "/usr/lib/python2.7/site-packages/gi/module.py", line 115, in __getattr__
self.__name__, name))
AttributeError: 'gi.repository.Gtk' object has no attribute 'require_version'

Anonymous comment on 2013-02-25 16:37

I can build and run it by replacing python2-defer with python-defer in the PKGBUILD. However, it can't load any of the modules to tweak...

I get a bunch of these:
[ModuleLoader][ERROR] None (__init__.py:123)
Traceback (most recent call last):
File "/usr/lib/python2.7/site-packages/ubuntutweak/modules/__init__.py", line 116, in search_module_for_name
module = cls._get_module_by_name_from_folder(name, m.__path__[0])
File "/usr/lib/python2.7/site-packages/ubuntutweak/modules/__init__.py", line 134, in _get_module_by_name_from_folder
package = __import__(module_name)
File "/usr/lib/python2.7/site-packages/ubuntutweak/tweaks/lovewallpaperhd.py", line 15, in <module>
from ubuntutweak.network.downloadmanager import DownloadDialog

oddfox commented on 2013-02-17 22:01

Builds and runs fine here after replacing the python2-defer dependency with python-defer in the PKGBUILD.

Deusdies commented on 2013-02-01 02:32

Your PKGBUILD has a python2-defer listed as a dependency, but that package does not exist in the AUR. Also, after installing python-defer manually and removing the python2-defer from the PKGBUILD, I cannot start the application due to "Gdk couldn't be initialized" runtime error.

chenxiaolong commented on 2013-01-16 21:37

@freethinker: Thanks! Updated and fixed :)

Anonymous comment on 2013-01-16 18:25

compizconfig-python-ubuntu needs to be changed to compiz-ubuntu and ubuntu-tweak version has to be upgraded to 0.8.3

Anonymous comment on 2013-01-16 18:07

There's a dependency problem here, compizconfig-python-ubuntu doesn't exist.

mrbit commented on 2012-10-21 20:33

compizconfig-python-ubuntu ??????